Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class CategorySeriesAxisRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.CategorySeriesAxisRecord

    public final class CategorySeriesAxisRecord

extends StandardRecord

This record refers to a category or series axis and is used to specify label/tickmark frequency.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`CategorySeriesAxisRecord()`
`CategorySeriesAxisRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`short` | `getCrossingPoint()` Get the crossing point field for the CategorySeriesAxis record.
`short` | `getLabelFrequency()` Get the label frequency field for the CategorySeriesAxis record.
`short` | `getOptions()` Get the options field for the CategorySeriesAxis record.
`short` | `getSid()` return the non static version of the id for this record.
`short` | `getTickMarkFrequency()` Get the tick mark frequency field for the CategorySeriesAxis record.
`boolean` | `isCrossesFarRight()` axis crosses at the far right
`boolean` | `isReversed()` categories are displayed in reverse order
`boolean` | `isValueAxisCrossing()` set true to indicate axis crosses between categories and false to cross axis midway
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCrossesFarRight(boolean value)` Sets the crosses far right field value.
`void` | `setCrossingPoint(short field_1_crossingPoint)` Set the crossing point field for the CategorySeriesAxis record.
`void` | `setLabelFrequency(short field_2_labelFrequency)` Set the label frequency field for the CategorySeriesAxis record.
`void` | `setOptions(short field_4_options)` Set the options field for the CategorySeriesAxis record.
`void` | `setReversed(boolean value)` Sets the reversed field value.
`void` | `setTickMarkFrequency(short field_3_tickMarkFrequency)` Set the tick mark frequency field for the CategorySeriesAxis record.
`void` | `setValueAxisCrossing(boolean value)` Sets the value axis crossing field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### CategorySeriesAxisRecord

    public CategorySeriesAxisRecord()

### CategorySeriesAxisRecord

    public CategorySeriesAxisRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getCrossingPoint

    public short getCrossingPoint()

  Get the crossing point field for the CategorySeriesAxis record.

### setCrossingPoint

    public void setCrossingPoint(short field_1_crossingPoint)

  Set the crossing point field for the CategorySeriesAxis record.

### getLabelFrequency

    public short getLabelFrequency()

  Get the label frequency field for the CategorySeriesAxis record.

### setLabelFrequency

    public void setLabelFrequency(short field_2_labelFrequency)

  Set the label frequency field for the CategorySeriesAxis record.

### getTickMarkFrequency

    public short getTickMarkFrequency()

  Get the tick mark frequency field for the CategorySeriesAxis record.

### setTickMarkFrequency

    public void setTickMarkFrequency(short field_3_tickMarkFrequency)

  Set the tick mark frequency field for the CategorySeriesAxis record.

### getOptions

    public short getOptions()

  Get the options field for the CategorySeriesAxis record.

### setOptions

    public void setOptions(short field_4_options)

  Set the options field for the CategorySeriesAxis record.

### setValueAxisCrossing

    public void setValueAxisCrossing(boolean value)

  Sets the value axis crossing field value. set true to indicate axis crosses between categories and false to cross axis midway

### isValueAxisCrossing

    public boolean isValueAxisCrossing()

  set true to indicate axis crosses between categories and false to cross axis midway

  Returns:
    the value axis crossing field value.

### setCrossesFarRight

    public void setCrossesFarRight(boolean value)

  Sets the crosses far right field value. axis crosses at the far right

### isCrossesFarRight

    public boolean isCrossesFarRight()

  axis crosses at the far right

  Returns:
    the crosses far right field value.

### setReversed

    public void setReversed(boolean value)

  Sets the reversed field value. categories are displayed in reverse order

### isReversed

    public boolean isReversed()

  categories are displayed in reverse order

  Returns:
    the reversed field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD